Bug 736761 (CVE-2011-3353) - CVE-2011-3353 kernel: fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message
Summary: CVE-2011-3353 kernel: fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3353
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20110728,repor...
Depends On: 736764 736765 736766 748690 761366
Blocks: 736769
TreeView+ depends on / blocked
 
Reported: 2011-09-08 15:55 UTC by Petr Matousek
Modified: 2019-06-08 18:54 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-10 13:12:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1465 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-11-22 21:45:37 UTC
Red Hat Product Errata RHSA-2012:0010 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2012-01-11 01:14:23 UTC

Description Petr Matousek 2011-09-08 15:55:49 UTC
FUSE_NOTIFY_INVAL_ENTRY didn't check the length of the write so the
message processing could overrun and result in a BUG_ON() in
fuse_copy_fill().

User able to mount FUSE filesystems can use this flaw to crash the
system.

References:
http://permalink.gmane.org/gmane.linux.kernel.commits.head/313266
http://sourceforge.net/mailarchive/forum.php?thread_name=87liut4i7w.fsf%40tucsk.pomaz.szeredi.hu&forum_name=fuse-devel

Upstream fix:
https://github.com/torvalds/linux/commit/c2183d1e9b3f313dd8ba2b1b0197c8d9fb86a7ae

Comment 3 Petr Matousek 2011-09-08 16:03:32 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 as they did not provide support for FUSE. This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 as they did not backport the upstream commit 3b463ae0c6264f that introduced this issue. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1465.html and https://rhn.redhat.com/errata/RHSA-2012-0010.html.

Comment 6 Vincent Danen 2011-09-09 23:25:47 UTC
This was assigned the name CVE-2011-3353.

Comment 7 Eugene Teo (Security Response) 2011-10-25 04:06:56 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748690]

Comment 8 errata-xmlrpc 2011-11-22 16:50:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1465 https://rhn.redhat.com/errata/RHSA-2011-1465.html

Comment 12 errata-xmlrpc 2012-01-10 20:16:21 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0010 https://rhn.redhat.com/errata/RHSA-2012-0010.html


Note You need to log in before you can comment on or make changes to this bug.